Subject: Re: Updated Kernel Hacker's guide to git

From: Jeff Garzik <[email-masked]>
Date: Sun, 29 Jun 2008 22:49:36 -0400

Jan Engelhardt wrote:
> On Dec 23 2007 06:13, Jeff Garzik wrote:
>> Another year, another update!  :)
>>
>> The kernel hacker's guide to git has received some updates:
>>
>> 	http://linux.yyz.us/git-howto.html
>>
> 
> It says
> 
> """Don't forget to download tags from time to time.
> 
> git pull only downloads sha1-indexed object data, and the requested
> remote head. This misses updates to the .git/refs/tags/ and
> .git/refs/heads/ directories. For tags, run git fetch --tags $URL."""
> 
> 
> But when I do git pull on a simple tracking tree (e.g. git-clone
> torvalds/linux-2.6.git; git pull;) it automatically grabs new tags.

Unfortunately tags are not copied in all cases.  To this day, I still 
have to 'git fetch --tags', generally when pulling from one local repo 
into another.  It's annoying that tags don't follow objects, when pulled.

	Jeff